package com.lerx.dao.iface;

import java.util.List;

import com.lerx.entities.Album;
import com.lerx.hql.entities.Rs;
import com.lerx.portal.obj.PortalStatInfo;

public interface IAlbumDao {
	
	public Album add(Album album);
	public void modify (Album album);
	public void update (Album album);
	public Album findByID(long id);
	public Album findByName(String name);
	public Album findByUuid(String uuid);
	public boolean delByID(long id);
	public Rs query(long gid,int page,int pagesize,int status, int open,int orderBy,int orderDirection);
	public List<Album> findByLeaderID(long uid,long gid,int status);
	public List<Album> findAllByUid(long uid,long gid,int status);
	public List<Long> queryAllPassedID();
	public long countByUidAndGid(long uid,long gid);
	public List<Album> rand(long gid,int pagesize);
	public PortalStatInfo stat(PortalStatInfo psi);

}
